> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeckta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sender Name

> Modify an existing sender name request. Updates may require re-approval.



## OpenAPI

````yaml /api-reference/openapi.json put /v1/messaging/sender-names/{uuid}
openapi: 3.1.0
info:
  title: Zeckta Messaging API
  description: |
    Zeckta Messaging API provides SMS messaging,
    OTP verification, Sender Name management,
    delivery tracking, campaign messaging,
    and webhook integrations.
  contact:
    name: Zeckta
    url: https://zeckta.com
    email: support@zeckta.com
  license:
    name: Commercial
  version: 1.0.0
servers:
  - url: https://api.zeckta.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: SMS Messaging
    description: RESTful endpoints for single and bulk SMS
  - name: Sender Names
    description: SMS sender name management
  - name: Workspace
    description: Manage and inspect workspace / account details
  - name: OTP Service
    description: RESTful endpoints for 2-Factor Authentication
paths:
  /v1/messaging/sender-names/{uuid}:
    put:
      tags:
        - Sender Names
      summary: Update Sender Name
      description: Modify an existing sender name request. Updates may require re-approval.
      operationId: update
      parameters:
        - name: uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SenderNameCreateRequest'
        required: true
      responses:
        '200':
          description: Sender name updated successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseSenderNameResponseDTO'
        '400':
          description: Invalid request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '402':
          description: Payment Required
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '404':
          description: Sender name not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '409':
          description: Sender name cannot be modified in its current state
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '429':
          description: Too Many Requests
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
components:
  schemas:
    SenderNameCreateRequest:
      type: object
      properties:
        sender:
          type: string
        purpose:
          type: string
          maxLength: 500
          minLength: 10
        senderType:
          type: string
          pattern: alphanumeric|msisdn|shortcode
      required:
        - purpose
        - sender
        - senderType
    ZecktaApiResponseSenderNameResponseDTO:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/SenderNameResponseDTO'
        requestId:
          type: string
    ZecktaApiResponseObject:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
        requestId:
          type: string
    SenderNameResponseDTO:
      type: object
      properties:
        senderNameId:
          type: string
          format: uuid
        sender:
          type: string
        senderType:
          type: string
        countryCode:
          type: string
        status:
          type: string
        statusReason:
          type: string
        submittedAt:
          type: string
          format: date-time
        approvedAt:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      description: 'Provide your Zeckta API Key using: Bearer YOUR_API_KEY'
      scheme: bearer
      bearerFormat: API Key

````